﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Drawing.Drawing2D;

using JsDrawControl;
using JsDrawControl.IO;
using JsDrawControl.DataSet;
using JsDrawControl.UITypeEditor;

namespace JsDraw
{
    //=========================================================================
    /// <summary>
    /// アプリケーションの設定を行う画面です。
    /// </summary>
    public partial class SettingForm : Form
    {
        /// <summary>設定情報</summary>
        private ConfigInfo _config;

        //=====================================================================
        /// <summary>
        /// クラスの初期化を行います。
        /// </summary>
        public SettingForm()
        {
            InitializeComponent();

            // メンバ変数初期化
            _config = new ConfigInfo();
            this.propertySetting.SelectedObject = _config;
        }

        //=====================================================================
        /// <summary>
        /// 設定プロパティ
        /// </summary>
        public ConfigInfo Config
        {
            get { return _config; }
            set
            {
                 // 値を編集するのでクローンを作成する。
                _config = value.Clone() as ConfigInfo;
                this.propertySetting.SelectedObject = _config;
            }
        }

        //=====================================================================
        /// <summary>
        /// 「ＯＫ」ボタンクリックイベント処理を行います。
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void buttonOk_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.OK;
            this.Close();
        }

        //=====================================================================
        /// <summary>
        /// 「キャンセル」ボタンクリックイベント処理を行います。
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void buttonCancel_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.Cancel;
            this.Close();
        }
    }
}
